public static class Acer
{
	#region Notebook Acer Columbia : class Columbia

	public static class Columbia
	{
		public static class BRIGHTNESS
		{
			public const string description = "LCD Brightness Control";
			public const bool default_enable = true;
			public const int icon = 1;
			
			public const int minimum_brightness_level = 10;
			public const int maximum_brightness_level = 100;
			public const int brightness_level_step = 10;

			public static class BRIGHTNESS_LEVEL
			{
				public const string description = "Current LCD brightness level";
				public const bool nhc_visible = true;
				public static int brightness_level = 0;
				public const string unit = "%";
			}

			public static bool set_brightness(int new_level)
			{
				return ACPI.METHOD.SetValue("_SB.PCI0.PEGP.VGA.LCD._BCM", new_level);
			}

			public static bool get_brightness(ref int level)
			{
				bool result = ACPI.METHOD.GetValue("_SB.PCI0.PEGP.VGA.LCD._BQC", ref level);     // get the brightness level
				BRIGHTNESS_LEVEL.brightness_level = level;
				return result;
			}
		}

		// optional init function -> NHC will call this function on initialisation (after the nhc_on_write() functions)
		/*
		public static bool init()
		{
			return true;
		}
		*/

	}

	#endregion
}